
package eu.dnetlib.dhp.oa.graph.dump.skgif.beans;

import java.io.Serializable;

import eu.dnetlib.dhp.skgif.model.MinGrant;
import eu.dnetlib.dhp.skgif.model.MinOrganization;
import eu.dnetlib.dhp.skgif.model.MinProduct;
import eu.dnetlib.dhp.skgif.model.MinVenue;

/**
 * @author miriam.baglioni
 * @Date 04/03/24
 */
public class EncloseMinElement implements Serializable {
	private String resultId;
	private String enclosedEntityId;
	private MinOrganization minOrganization;
	private MinVenue minVenue;
	private MinVenue minDatsource;
	private MinGrant minGrant;
	private MinProduct minProduct;
	private String semantics;

	public MinVenue getMinVenue() {
		return minVenue;
	}

	public void setMinVenue(MinVenue minVenue) {
		this.minVenue = minVenue;
	}

	public MinVenue getMinDatsource() {
		return minDatsource;
	}

	public void setMinDatsource(MinVenue minDatsource) {
		this.minDatsource = minDatsource;
	}

	public String getSemantics() {
		return semantics;
	}

	public void setSemantics(String semantics) {
		this.semantics = semantics;
	}

	public String getResultId() {
		return resultId;
	}

	public void setResultId(String resultId) {
		this.resultId = resultId;
	}

	public String getEnclosedEntityId() {
		return enclosedEntityId;
	}

	public void setEnclosedEntityId(String enclosedEntityId) {
		this.enclosedEntityId = enclosedEntityId;
	}

	public MinOrganization getMinOrganization() {
		return minOrganization;
	}

	public void setMinOrganization(MinOrganization minOrganization) {
		this.minOrganization = minOrganization;
	}

	public MinGrant getMinGrant() {
		return minGrant;
	}

	public void setMinGrant(MinGrant minGrant) {
		this.minGrant = minGrant;
	}

	public MinProduct getMinProduct() {
		return minProduct;
	}

	public void setMinProduct(MinProduct minProduct) {
		this.minProduct = minProduct;
	}

}
